#! /bin/bash
#
# wdt          Enable & reset the IPMI watchdog timer via cron
#
# chkconfig: 2345 91 59
# description: wdt is a utility from ipmiutil.sf.net to configure the \
#              IPMI watchdog timer.

# Source function library.
# . /etc/init.d/functions

prog="/usr/sbin/wdt"
wdtcron=/etc/cron.d/wdt
tmpcron=/tmp/wdtcron.$$
tmpcron2=/tmp/wdtcron2.$$
# enables watchdog for 90 second timeout, reset every 1 min (60 sec).

start() {
	echo -n $"Starting $prog: "
	echo
        cat - <<%%% >$tmpcron
1 * * * * $prog -r 
%%%
	$prog -e -t 90
	RETVAL=$?
        if [ $RETVAL -eq 0 ]
	then
           # crontab $tmpcron
	   # RETVAL=$?
           cat - <<%%% >$wdtcron
1 * * * *  root  $prog -r 
%%%
        fi
	echo
	return $RETVAL
}

stop() {
	echo -n $"Stopping $prog: "
	echo
	$prog -d
	RETVAL=$?
        # crontab -l >$tmpcron
        # grep -v $prog $tmpcron |grep -v "^#" >$tmpcron2
        # crontab $tmpcron2
        rm $wdtcron
	echo
	return $RETVAL
}	

restart() {
  	stop
	start
}	

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart)
  	restart
	;;
  *)
	echo $"Usage: $0 {start|stop|status|restart}"
	exit 1
esac
